Subject: Re: Content-Type: text/paragraph. An alternative proposal

From: Jacob Palme <[email-masked]>
Date: Wed, 18 Feb 1998 18:17:21 +0100

At 14.37 +0000 98-02-18, Ian Bell wrote:
>The more I think about this, the more I worry about the interaction
>between text/paragraph and message-quoting. I fear we may be moving from a
>standard (text/plain) that's being broken to a standard (text/paragraph)
>that _is_ broken.

The best mailer I have seen for handling this specific problem is Pine.
If Pine gets as input a message with

>A very long line one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen, etc.

this line will automatically get displayed to its reader as

>A very long line one two three four five six seven eight nine ten
>eleven twelve thirteen fourteen fifteen sixteen seventeen, etc.

If the writer of a reply containing the above text edits the text,
and changes it to, for example:

>five six seven eight nine ten
>eleven twelve thirteen fourteen fifteen sixteen seventeen, etc.

and if the writer of the reply applies the justify command in Pine,
the result will be

>five six seven eight nine ten eleven twelve thirteen fourteen
>fifteen sixteen seventeen, etc.

and not, for example,

>five six seven eight nine ten >eleven twelve thirteen fourteen
fifteen sixteen seventeen, etc.

as one could expect of more simpleminded editors.

All my praise and admiration to the developers of Pine!

------------------------------------------------------------------------
Jacob Palme <[email-masked]> (Stockholm University and KTH)
for more info see URL: http://www.dsv.su.se/~jpalme

---

From: Rick Troth <[email-masked]>
Date: Wed, 18 Feb 1998 11:41:48 -0600 (CST)

On Wed, 18 Feb 1998, Ian Bell wrote:

	I think you're missing the advantage of the "paragraph" label. 
 
> A reply to a paragraph within a text/paragraph body part that looks like
> 
>         A message with ... ... a very long line.
> 
> would, if the entire paragraph is quoted with the standard marker, be
> 
>         >A message with ... ... a very long line.
 
	Won't happen.   Actually,  it COULD happen,  but the burden 
is placed squarely on the back of the user agent to deal with this. 
We can then fairly point the finger at the clear offender. 
 
> which may get displayed as
> 
>         >A message with ...
>         >... a very long line.
> or 
>         >A message with ...
>         ... a very long line.
 
	In a world where text/paragraph is a properly defined standard, 
the latter is wrong.   Period.   If the user doesn't care,  then do we? 
I certainly care,  and would complain loudly to my MUA vendor. 
 
> depending on whether the MUA decides to do anything at all about quoted
> material (current draft says MUAs "MAY wish to consider" quoting
> conventions).
 
	Excellent point.   Stronger wording is in order there. 
 
> The user, if presented with the second version, will say that the message
> display is broken because text is being mis-attributed. The retort here
> could simply be that the MUA displaying the message is broken because it
> is displaying the message sub-optimally. Bad, but the finger of blame gets
> pointed at that MUA.
 
	The light goes on for me.   (It takes a while.) 
 
	You're worried about mis-quotes being sent,  not so much 
mis-quotes displayed.   Good point.   I don't see a way to reliably 
coerce the replying MUA into compliance.   Does that make the 
standard bad?   No. 
 
> In order to display this message properly to the user (ie to give the
> correct impression of who said what), the receiving MUA is going to have
> to successfully parse these forms. Any failure in display can't really be
> put at the door of the MUA as there is no RFC that governs quoting
> conventions - the failure comes from the media-type itself. At this point,
> though, the message itself won't be broken since examining the source
> line-breaks will determine correctly the authors involved.
 
	The closest thing I've seen is HTML  (which is annoying 
when sent through mail,  as some will agree).   I can imagine 
nesting of blocks of quoted material. 
 
> The conclusion must be that using _any_ quote character when replying in
> text/paragraph may cause damage to the ensuing conversation thread. The
> problem does not lie in MUAs but in text/paragraph itself.
 
	This connection I do NOT see. 
 
> -- 
> Ian Bell                                           T U R N P I K E  Ltd
 
-- 
Rick Troth at La Casita, Houston, Texas, USA

---

From: Chris Newman <[email-masked]>
Date: Wed, 18 Feb 1998 10:06:14 -0800 (PST)

On Wed, 18 Feb 1998, Ian Bell wrote:
> I think the draft must be changed in this area: perhaps to deprecate the
> use of quote characters within text/paragraph, or maybe to say that MUAs
> SHOULD downgrade to text/plain before quoting. Maybe even to deprecate
> text/paragraph itself and make it clear that the RFC (to be) only exists
> to deal with the current practice of misusing qp and text/plain.

Sigh.  I was hoping I didn't have to deal with this head-on as it's an MUA 
convention and not part of the media type.  How about adding the
following section:

---
4.1. Requirements for Use of text/paragraph in Internet Mail

Mail User Agents SHOULD generate text/plain instead of text/paragraph in
Internet mail.  Gateways from systems which use text/paragraph to
Internet mail SHOULD convert to text/plain and MUST NOT label 
paragraph-based text as text/plain.

A common convention in Internet messages is to indicate quoted text by
preceeding each line with a quote character of the user's choice. 
However, because it is necessary to line-wrap text/paragraph on display a
more precise convention is necessary in text/paragraph.  When quoted text
is included in text/paragraph, the paragraph is preceeded with a ">". 
When displaying text/paragraph or converting it to text/plain, agents
supporting this convention will copy all ">"s at the beginning of a
paragraph to the beginning of each line-wrapped line of that paragraph. 
---

		- Chris